Outlook add-in versions and requirements

This article explains the difference between the Outlook add-in versions, and other requirements related to these.

The full version

  • The latest version, supports both Single Sign-On and "one time rooms".
  • Requires mail server from either Office 365 or Exchange 2013/2016
  • Client requirements are described here.
  • Distributed via either...
    • AppSource directly. Requires that each user has access to AppSource and admin rights to own computer, or
    • A centrally distributed link / xml file. This can be found here. (A short video on how to do this on Exchange 2016 can be found here.)

 

The legacy version

  • Should work on most other systems. There is currently no active development of this. 
  • Supports Single Sign-On, but not "one time rooms".
  • Can be distributed centrally via .msi or .exe.
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

0 comments

Please sign in to leave a comment.